package application.simulator;

import javax.swing.JMenu;
import javax.swing.JMenuBar;

import application.actions.ZoomInAction;
import application.actions.ZoomOutAction;
import application.simulator.actions.ShowUISimulatorAction;

public class SimulatorMenuBar extends JMenuBar {
	private static final long serialVersionUID = 7769410930379012970L;

	private SimulatorWindow simulatorWindow = null;

	public SimulatorMenuBar(SimulatorWindow simulatorWindow) {
		this.simulatorWindow = simulatorWindow;
		
		JMenu menu = null;
		menu = add(new JMenu("View"));
		menu.add(new ZoomInAction(simulatorWindow.getGraphComponent()));
		menu.add(new ZoomOutAction(simulatorWindow.getGraphComponent()));
		
		menu = add(new JMenu("Show"));
		menu.add(new ShowUISimulatorAction(simulatorWindow.getSimulator()));
	}

}
